aboutsummaryrefslogtreecommitdiff
path: root/git-bisect.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-03-23 13:24:22 -0700
committerJunio C Hamano <junkio@cox.net>2007-03-23 13:29:55 -0700
commit12cb8137332e21957195c3af2923c03a8aad5b5a (patch)
tree4a4adb4e7b30df7ba0390a2431c0d806a913b96a /git-bisect.sh
parent673e58389fd8531ee1ac191350c2c10b1656486e (diff)
downloadgit-12cb8137332e21957195c3af2923c03a8aad5b5a.tar.gz
git-12cb8137332e21957195c3af2923c03a8aad5b5a.tar.xz
git-bisect.sh: properly dq $GIT_DIR
Otherwise you would be in trouble if your GIT_DIR has IFS letters in it. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-bisect.sh')
-rwxr-xr-xgit-bisect.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 8eaea7cd1..936b4a4b8 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -141,7 +141,7 @@ bisect_next() {
bad=$(git-rev-parse --verify refs/bisect/bad) &&
good=$(git-rev-parse --sq --revs-only --not \
$(cd "$GIT_DIR" && ls refs/bisect/good-*)) &&
- rev=$(eval "git-rev-list --bisect $good $bad -- $(cat $GIT_DIR/BISECT_NAMES)") || exit
+ rev=$(eval "git-rev-list --bisect $good $bad -- $(cat "$GIT_DIR/BISECT_NAMES")") || exit
if [ -z "$rev" ]; then
echo "$bad was both good and bad"
exit 1